@file:Suppress("HardCodedStringLiteral")

package eu.gaudian.translator.ui.theme.themes

import androidx.compose.ui.graphics.Color
import eu.gaudian.translator.ui.theme.AppTheme
import eu.gaudian.translator.ui.theme.ThemeColorSet

val SakuraTheme = AppTheme(
    name = "Blossom Pink",
    lightColors = ThemeColorSet(
        primary = Color(0xFFB94565),
        secondary = Color(0xFF755960),
        tertiary = Color(0xFF805537),
        primaryContainer = Color(0xFFFFD9DF),
        secondaryContainer = Color(0xFFFFD9E2),
        tertiaryContainer = Color(0xFFFFDCC2),
        onPrimary = Color(0xFFFFFFFF),
        onSecondary = Color(0xFFFFFFFF),
        onTertiary = Color(0xFFFFFFFF),
        onPrimaryContainer = Color(0xFF40001F),
        onSecondaryContainer = Color(0xFF2B171D),
        onTertiaryContainer = Color(0xFF311300),
        error = Color(0xFFBA1A1A),
        onError = Color(0xFFFFFFFF),
        errorContainer = Color(0xFFFFDAD6),
        onErrorContainer = Color(0xFF410002),
        background = Color(0xFFFFF8F7),
        onBackground = Color(0xFF221A1C),
        surface = Color(0xFFFFF8F7),
        onSurface = Color(0xFF221A1C),
        surfaceVariant = Color(0xFFF2DEE1),
        onSurfaceVariant = Color(0xFF514346),
        outline = Color(0xFF837376),
        outlineVariant = Color(0xFFD5C2C5),
        scrim = Color(0xFF000000),
        inverseSurface = Color(0xFF382E30),
        inverseOnSurface = Color(0xFFFDEDEF),
        inversePrimary = Color(0xFFE3B9C2),
        surfaceDim = Color(0xFFE8D6D8),
        surfaceBright = Color(0xFFFFF8F7),
        surfaceContainerLowest = Color(0xFFFFFFFF),
        surfaceContainerLow = Color(0xFFFFF0F1),
        surfaceContainer = Color(0xFFFCEAEF),
        surfaceContainerHigh = Color(0xFFF6E4E9),
        surfaceContainerHighest = Color(0xFFF1DEE4)
    ),
    darkColors = ThemeColorSet(
        primary = Color(0xFFE3B9C2),
        secondary = Color(0xFFE3BDC6),
        tertiary = Color(0xFFF3BC95),
        primaryContainer = Color(0xFF982C4D),
        secondaryContainer = Color(0xFF5C4148),
        tertiaryContainer = Color(0xFF653F22),
        onPrimary = Color(0xFF581535),
        onSecondary = Color(0xFF422C32),
        onTertiary = Color(0xFF4A280D),
        onPrimaryContainer = Color(0xFFFFD9DF),
        onSecondaryContainer = Color(0xFFFFD9E2),
        onTertiaryContainer = Color(0xFFFFDCC2),
        error = Color(0xFFFFB4AB),
        onError = Color(0xFF690005),
        errorContainer = Color(0xFF93000A),
        onErrorContainer = Color(0xFFFFDAD6),
        background = Color(0xFF221A1C),
        onBackground = Color(0xFFF1DEE4),
        surface = Color(0xFF221A1C),
        onSurface = Color(0xFFF1DEE4),
        surfaceVariant = Color(0xFF514346),
        onSurfaceVariant = Color(0xFFD5C2C5),
        outline = Color(0xFF9D8C8F),
        outlineVariant = Color(0xFF514346),
        scrim = Color(0xFF000000),
        inverseSurface = Color(0xFFF1DEE4),
        inverseOnSurface = Color(0xFF221A1C),
        inversePrimary = Color(0xFFB94565),
        surfaceDim = Color(0xFF191214),
        surfaceBright = Color(0xFF41373A),
        surfaceContainerLowest = Color(0xFF140D0F),
        surfaceContainerLow = Color(0xFF221A1C),
        surfaceContainer = Color(0xFF261E20),
        surfaceContainerHigh = Color(0xFF31282A),
        surfaceContainerHighest = Color(0xFF3C3335)
    )
)